Name:          kleansweep
Version:       0.2.9
Release:       8%{?dist}
Summary:       Reclaim disk space by finding unneeded files

License:       GPLv2
Group:         Applications/System
URL:           http://linux.bydg.org/~yogin/

Source:        http://linux.bydg.org/~yogin/kleansweep-%{version}.tar.bz2

Patch0:        %{name}-helper.patch
Patch1:        %{name}-generic.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs3-devel, gettext, scons

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. It
can search for files based on several criteria: you can seek for empty
files, backup files, broken symbolic links, dead menu entries, duplicated
files, orphaned files (files not found in the RPM database), and more.

%prep
%setup -q

%patch0 -p1 -b .helper
%patch1 -p1 -b .generic

%build

# disables rpath
sed -i 's|^env.KDEuse("environ rpath")|env.KDEuse("environ")|g' SConstruct

CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS

scons %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
scons install prefix=$RPM_BUILD_ROOT%{_prefix}

desktop-file-install --vendor fedora             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category "System"                    \
  --delete-original                             \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/kleansweep.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README THANKS TODO
%{_datadir}/apps/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/*/*/apps/kleansweep.png
%{_bindir}/kleansweep*


%changelog
* Sun Jun 08 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-8
- bugfix #449631

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.2.9-6
- fix build (#434026)

* Sun Sep 09 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-5
- fixed duplicate kmenu entries

* Thu Aug 23 2007 Chitlesh Goorah  <chitlesh [AT] fedoraproject DOT org> - 0.2.9-4
- mass rebuild for fedora 8 - BuildID

* Sun Nov 19 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-3
- using preferred value for the buildroot tag

* Sun Nov 19 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-2
- replaced %%{buildroot} by $$RPM_BUILD_ROOT

* Sat Nov 18 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-1
- Initial Package.
